
export interface AnimalDefinition {
  name: string
  animal: CreatureDefinition
  monster: CreatureDefinition
}

export interface CreatureDefinition {
  sight: number
  scent: number
  acceleration: number
  maxSpeed: number
  turnRate: number
}

export const animals: Record<string, AnimalDefinition> = {
  deer: {
    name: 'deer',
    animal: {
      sight: 100,
      scent: 50,
      acceleration: 0.5,
      maxSpeed: 3,
      turnRate: 10,
    },
    monster: {
      sight: 125,
      scent: 75,
      acceleration: 0.75,
      maxSpeed: 3,
      turnRate: 10,
    }
  },
  nutria: {
    name: 'nutria',
    animal: {
      sight: 50,
      scent: 50,
      acceleration: 0.25,
      maxSpeed: 2,
      turnRate: 20,
    },
    monster: {
      sight: 50,
      scent: 50,
      acceleration: 0.25,
      maxSpeed: 2,
      turnRate: 20,
    },
  },
  turkey: {
    name: 'turkey',
    animal: {
      sight: 50,
      scent: 75,
      acceleration: 0.75,
      maxSpeed: 2,
      turnRate: 20,
    },
    monster: {
      sight: 75,
      scent: 75,
      acceleration: 0.75,
      maxSpeed: 2,
      turnRate: 20,
    }
  },
}